Subject: [eap] Alert Protocol

From: Vijay Govindarajulu <[email-masked]>
Date: Wed, 25 Aug 2004 07:59:14 -0700

Hi all,

          RFC 2246 in section 7.2 says that the Alert messages are encrypted
and compressed. How would one decrypt these Alert messages?

Thanks and Regards

Vijay Kumar Govindarajulu

_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap

---

From: <[email-masked]>
Date: Wed, 25 Aug 2004 18:11:43 +0300

Vijay Govindarajulu wrote:
> 
> Hi all,
> 
> RFC 2246 in section 7.2 says that the Alert messages are 
> encrypted and compressed. How would one decrypt these Alert 
> messages?

More specifically, it says the Alert messages are "are encrypted 
and compressed, as specified by the current connection state".

If the Alert message is sent before any ChangeCipherSpec messages,
the connection state's encryption algorithm is NULL (see Section 7.4.1), 
so decryption is easy :-)

Alerts can be sent after ChangeCipherSpec, too: in that case,
they're decrypted just like any other TLS Record Layer data.

Best regards,
Pasi